Query Payment Status

API Explorer
loading...
GET

Query API lets merchants “pull” information from the gateway. It allows merchant to query the status of payment. Use same transaction reference id used while calling HPP Request Payment Page API. This dataset can then be used to create in-house reports and analytics. If the requestCardToken field is set to true as part of the Sale transaction request parameters in the getHPP API, the queryPaymentStatus API response will include the cardToken value when the merchant makes the request.

Query Parameters

tpn*string

Terminal Performance Number

transactionReferenceId*string

The unique reference ID of the transaction

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Response Body

application/json

curl -X GET "https://example.com/?tpn=139322815010&transactionReferenceId=TXNId00111223334571666" \  -H "token: string"
{
  "iposHPResponse": {
    "responseCode": 200,
    "responseMessage": "Successful/Declined/Cancelled By Customer/Rejected By Customer",
    "errResponseCode": "<Error response code>",
    "errResponseMessage": "<Error response message>",
    "transactionReferenceId": "<merchant transaction reference id>",
    "transactionId": "<Unique transaction Id of iPOS-HP>",
    "transactionType": "<1-sale / 2-card validation>",
    "transactionNumber": "<4 digits of transaction number from processor>",
    "batchNumber": "<3 digits of batch number from processor>",
    "cardType": "<VISA / MASTERCARD / etc...>",
    "cardLast4Digit": "<last 4 digits of credit/debit card>",
    "amount": "<base amount or total amount charged>",
    "tips": "<tip amount>",
    "customFee": "<custom fee>",
    "localTax": "<local tax>",
    "stateTax": "<state tax>",
    "totalAmount": "<total amount charged>",
    "responseApprovalCode": "TAS164",
    "rrn": "<retrieval reference number>",
    "cardToken": "card-token-value",
    "consumerId": "12412313"
  }
}